E B
F A
H C
G D
B G
H E
E E
G G
F A
G B
A A
E C
B A
C F
D E
A A
G G
F E
F F
C G
C B
C B
H G
B A
E E
H B
C E
C B
A G
E G
B B
B G
D E
C F
H G
E C
B E
G B
G C
A B
D G
E B
B E
H G
B A
C E
B C
A F
F E
E F
